[build-system]
requires = ["setuptools", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "Snek"
version = "1.0.0"
readme = "README.md"
#license = { file = "LICENSE", content-type="text/markdown" }
description = "Snek Chat Application by Molodetz"
authors = [
    { name = "retoor", email = "retoor@molodetz.nl" }
]
keywords = ["chat", "snek", "molodetz"]
requires-python = ">=3.12"
dependencies = [
    "mkdocs>=1.4.0",
    "lxml",
    "IPython",
    "shed",
    "app @ git+https://retoor.molodetz.nl/retoor/app.git",
    "zhurnal @git+https://retoor.molodetz.nl/retoor/zhurnal.git",
    "beautifulsoup4",
    "gunicorn",
    "imgkit",
    "wkhtmltopdf",
    "mistune",
    "aiohttp-session",
    "cryptography",
    "requests",
    "asyncssh",
    "emoji",
    "aiofiles",
    "PyJWT",
    "multiavatar",
    "gitpython",
    'uvloop; platform_system != "Windows"',
    "humanize",
    "Pillow",
    "pillow-heif",
    "IP2Location",
    "bleach"
]

[tool.setuptools.packages.find]
where = ["src"] # <-- this changed

[tool.setuptools.package-data]
"*" = ["*.*"] 

[project.scripts]
snek = "snek.__main__:main"
